Subject: [ippm] Secdir last call review of draft-ietf-ippm-route-08

From: Watson Ladd via Datatracker <[email-masked]>
Date: Sat, 27 Jun 2020 07:09:27 -0700

Reviewer: Watson Ladd
Review result: Has Nits

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These comments
were written primarily for the benefit of the security area directors.  Document
editors and WG chairs should treat these comments just like any other last call
comments.

The summary of the review is Has Nits.

One little thing: class C has a meaning already, and I think the authors meant a
class to be referred to by C, not the ancient term for a division of IP space
that fell out of use long before my birth. Later on this becomes clear, but in
the introduction it did throw me off.

The conclusion paragraph also seems to describe a much less comprehensive
document then the introduction pragraph. This does seem to have been an effect
of evolution, and is pretty easily fixed and mostly cosmetic.

Now for the meat: what about the security considerations? Since this draft is
describing enhancements to traceroute and ways to describe the measurements
taken by such enhanced traceroutes, the security impact is minimal and the
authors reference the existing RFCs describing the security impacts of
tracroutes on networks.

Sincerely,
Watson Ladd

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sun, 28 Jun 2020 15:55:24 +0000

Hi Watson, 
Thanks for your review and comments.
please see replies below,
Al

> -----Original Message-----
> From: Watson Ladd via Datatracker [mailto:[email-masked]]
> Sent: Saturday, June 27, 2020 10:09 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Secdir last call review of draft-ietf-ippm-route-08
> 
> Reviewer: Watson Ladd
> Review result: Has Nits
> 
> that fell out of use long before my birth. Later on this becomes clear,
> but in the introduction it did throw me off.
[acm] 
The class C terminology appears first in the Terms and Definitions, unless I overlooked an instance in the intro...

We were asked to define the term Routing Class on AD review, which we did. Perhaps we could add the clarification from section 4.1.2:  ... (unrelated to address classes of the past) ... 
But somehow RFC 2330 (the IPPM Framework) and most recently RFC 8468 used designation without much difficulty.

> of evolution, and is pretty easily fixed and mostly cosmetic.
[acm] 
Thanks, we also see requests to remove "conclusion" sections from RFCs, and that's a possible resolution too.
 
> authors reference the existing RFCs describing the security impacts of
[acm] 
I'm looking for the action implied in your comment.  Do we add the sentences:

This draft describes enhancements to traceroute and ways to describe the measurements taken by such enhanced traceroute tools. The security impact is minimal and the authors reference the existing RFCs describing the security impacts of active and hybrid measurements on networks (of which traceroute measurements are a subset) below.

Or?

---

From: Watson Ladd <[email-masked]>
Date: Sun, 28 Jun 2020 12:04:52 -0400

On Sun, Jun 28, 2020 at 11:55 AM MORTON, ALFRED C (AL)
<[email-masked]> wrote:
<snip>
> This draft describes enhancements to traceroute and ways to describe the measurements taken by such enhanced traceroute tools. The security impact is minimal and the authors reference the existing…

My apologies: you read as a suggestion which I thought was a
description. I don't think it has to change at all.

-- 
"Man is born free, but everywhere he is in chains".
--Rousseau.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sun, 28 Jun 2020 16:08:14 +0000

> From: Watson Ladd [mailto:[email-masked]]
> Sent: Sunday, June 28, 2020 12:05 PM
> To: MORTON, ALFRED C (AL) <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: Secdir last call review of draft-ietf-ippm-route-08
> 
> > This draft describes enhancements to traceroute and ways to describe the
> measurements taken by such enhanced traceroute tools. The security impact
> is minimal and the authors reference the existing RFCs describing the
> security impacts of active and hybrid measurements on networks (of which
> traceroute measurements are a subset) below.
> 
[acm] 

Thanks for your very fast clarification, Watson!
Al

---

From: J Ignacio Alvarez-Hamelin <[email-masked]>
Date: Mon, 29 Jun 2020 10:43:39 -0300

Dear Watson,

Thank you for your review. Concerning the security considerations, this method does not introduce new security problems, basically because it does not create any new field or option into packets. Eventually, we can imagine some man in the middle, changing some bits into the packet, but this kind of behavior does not affect the network. I think it can affect one measurement for a particular hop where he/she is intercepting, but this case is similar to any traffic; therefore, I do not see any potential problem. 
Are you visualized another security problem? 

Regards,

	J. Igancio

_______________________________________________________________

Dr. Ing. José Ignacio Alvarez-Hamelin
CONICET and Facultad de Ingeniería, Universidad de Buenos Aires
Av. Paseo Colón 850 - C1063ACV - Buenos Aires - Argentina
+54 (11) 5285 0716 / 5285 0705
e-mail: [email-masked]
web: http://cnet.fi.uba.ar/ignacio.alvarez-hamelin/
_______________________________________________________________

> On 28 Jun 2020, at 13:04, Watson Ladd <[email-masked]> wrote:
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm